3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php echo OPENSSL_VERSION_TEXT; ?>
Output for 7.2.6
Warning: Use of undefined constant OPENSSL_VERSION_TEXT - assumed 'OPENSSL_VERSION_TEXT' (this will throw an Error in a future version of PHP) in /in/vfCKX on line 3 OPENSSL_VERSION_TEXT
Output for 7.2.0
OpenSSL 1.1.0g 2 Nov 2017
Output for 5.3.0 - 5.4.35, 7.1.20
Notice: Use of undefined constant OPENSSL_VERSION_TEXT - assumed 'OPENSSL_VERSION_TEXT' in /in/vfCKX on line 3 OPENSSL_VERSION_TEXT
Output for 7.0.20, 7.1.6 - 7.1.10
OpenSSL 1.1.0f 25 May 2017
Output for 7.1.5
OpenSSL 1.1.0e 16 Feb 2017
Output for 5.6.28, 7.0.14, 7.1.0
OpenSSL 1.0.2j 26 Sep 2016
Output for 5.5.34 - 5.6.15, 5.6.20 - 5.6.21, 7.0.5 - 7.0.6
OpenSSL 1.0.2g 1 Mar 2016
Output for 5.5.32 - 5.5.33, 5.6.18 - 5.6.19, 7.0.3 - 7.0.4
OpenSSL 1.0.2f 28 Jan 2016
Output for 5.5.31, 5.6.17, 7.0.1 - 7.0.2
OpenSSL 1.0.2e 3 Dec 2015
Output for 5.4.43 - 5.4.45, 5.6.16, 7.0.0
OpenSSL 1.0.2d 9 Jul 2015
Output for 5.4.36 - 5.4.37, 5.5.24 - 5.5.30
OpenSSL 1.0.1l 15 Jan 2015
Output for 5.4.39 - 5.4.42
OpenSSL 1.0.2a 19 Mar 2015
Output for 5.4.38
OpenSSL 1.0.2 22 Jan 2015